Summary:	JasPer library for images manipulation - MinGW32 cross version
Summary(pl.UTF-8):	Biblioteka JasPer do obróbki obrazów - wersja skrośna dla MinGW32
Name:		crossmingw32-jasper
Version:	2.0.14
Release:	1
License:	BSD-like
Group:		Development/Libraries
#Source0Download: http://www.ece.uvic.ca/~frodo/jasper/#download
Source0:	http://www.ece.uvic.ca/~frodo/jasper/software/jasper-%{version}.tar.gz
# Source0-md5:	23561b51da8eb5d0dc85b91eff3d9a7f
Patch0:		jasper-nodocs.patch
URL:		http://www.ece.uvic.ca/~frodo/jasper/
BuildRequires:	cmake >= 2.8.11
BuildRequires:	crossmingw32-gcc
BuildRequires:	crossmingw32-libjpeg
Requires:	crossmingw32-libjpeg
Obsoletes:	crossmingw32-jasper-static
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		no_install_post_strip	1

%define		target			i386-mingw32
%define		target_platform 	i386-pc-mingw32

%define		_sysprefix		/usr
%define		_prefix			%{_sysprefix}/%{target}
%define		_libdir			%{_prefix}/lib
%define		_pkgconfigdir		%{_prefix}/lib/pkgconfig
%define		_dlldir			/usr/share/wine/windows/system
%define		__cc			%{target}-gcc
%define		__cxx			%{target}-g++

%ifnarch %{ix86}
# arch-specific flags (like alpha's -mieee) are not valid for i386 gcc
%define		optflags	-O2
%endif
# -z options are invalid for mingw linker
%define		filterout_ld	-Wl,-z,.*
%define		filterout_c	-f[-a-z0-9=]*
%define		filterout_cxx	-f[-a-z0-9=]*

%description
JasPer is a collection of software (i.e., a library and application
programs) for the coding and manipulation of images. This software can
handle image data in a variety of formats. One such format supported
by JasPer is the JPEG-2000 code stream format defined in ISO/IEC
15444-1:2000 (but JasPer contains only partial implementation).

This package contains the cross version of library for Win32.

%description -l pl.UTF-8
JasPer to zestaw oprogramowania (biblioteka i aplikacje) do kodowania
i obróbki obrazków w różnych formatach. Jednym z nich jest JPEG-2000
zdefiniowany w ISO/IEC 15444-1:2000 (JasPer zawiera tylko częściową
implementację tego formatu).

Ten pakiet zawiera wersję skrośną biblioteki dla Win32.

%package dll
Summary:	DLL JasPer library for Windows
Summary(pl.UTF-8):	Biblioteka DLL JasPer dla Windows
Group:		Applications/Emulators
Requires:	crossmingw32-libjpeg-dll
Requires:	wine

%description dll
DLL JasPer library for Windows.

%description dll -l pl.UTF-8
Biblioteka DLL JasPer dla Windows.

%prep
%setup -q -n jasper-%{version}
%patch0 -p1

%build
# there is upstream directory named "build", use different name
install -d builddir
cd builddir
# note: build/jasper.pc.in expects CMAKE_INSTALL_INCLUDEDIR and CMAKE_INSTALL_LIBDIR relative to CMAKE_INSTALL_PREFIX
%cmake .. \
	-DCMAKE_INSTALL_INCLUDEDIR:PATH=include \
	-DCMAKE_INSTALL_LIBDIR:PATH=lib \
	-DCMAKE_SYSTEM_NAME=Windows \
	-DJAS_ENABLE_AUTOMATIC_DEPENDENCIES=FALSE \
	-DJAS_ENABLE_OPENGL=FALSE \
	-DJPEG_INCLUDE_DIR:PATH=%{_includedir} \
	-DJPEG_LIBRARY=%{_libdir}/libjpeg.dll.a

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C builddir install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_dlldir}
%{__mv} $RPM_BUILD_ROOT%{_bindir}/*.dll $RPM_BUILD_ROOT%{_dlldir}

%if 0%{!?debug:1}
%{target}-strip --strip-unneeded -R.comment -R.note $RPM_BUILD_ROOT%{_dlldir}/*.dll
%{target}-strip -g -R.comment -R.note $RPM_BUILD_ROOT%{_libdir}/*.a
%endif

%{__rm} $RPM_BUILD_ROOT%{_bindir}/*.exe \
	$RPM_BUILD_ROOT%{_mandir}/man1/*.1
%{__rm} -rf $RPM_BUILD_ROOT%{_docdir}/{README,*.pdf,html}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog LICENSE README doc/jasper.pdf doc/jpeg2000.pdf
%{_libdir}/libjasper.dll.a
%{_includedir}/jasper
%{_pkgconfigdir}/jasper.pc

%files dll
%defattr(644,root,root,755)
%{_dlldir}/libjasper.dll
%changelog
* Mon Nov 27 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/crossmingw32-jasper.git;a=log;h=master

* Mon Nov 27 2017 Jakub Bogusz <qboosh@pld-linux.org> ca425f5
- updated to 2.0.14

* Tue Apr 11 2017 Jakub Bogusz <qboosh@pld-linux.org> b7a5aaf
- updated to 2.0.12
- removed obsolete libname,nocxx patches

* Sat Jan 28 2017 Jakub Bogusz <qboosh@pld-linux.org> 244019a
- added nocxx patch (disable cmake check for C++ compiler)
- added nodocs patch (disable pdf rebuilding)
- pass libjpeg path to fix build when native libjpeg-static is installed
- release 2

* Sat Jan 28 2017 Jakub Bogusz <qboosh@pld-linux.org> 6bc1029
- updated to 2.0.10, fixes:
   CVE-2008-3522 CVE-2011-4516 CVE-2011-4517
   CVE-2014-8137 CVE-2014-8138 CVE-2014-8157 CVE-2014-8158 CVE-2014-9029
   CVE-2015-5221 CVE-2016-1577 CVE-2016-1867 CVE-2016-2089 CVE-2016-2116
- added libname patch
- build system switched to cmake, -static is gone

* Sun Apr 05 2015 Jan Rękorajski <baggins@pld-linux.org> 0c098d7
- filer out compiler options not supported by mingw
- rel 4

* Sun Apr 05 2015 Jan Rękorajski <baggins@pld-linux.org> 7b1039d
- x32 rebuild
- release 3 (by relup.sh)

* Sun Sep 19 2010 Jakub Bogusz <qboosh@pld-linux.org> bfda627
- unified MinGW32 caps

* Tue Apr 06 2010 sparky <sparky@pld-linux.org> 1e64b50
- BR: crossmingw32-gcc

* Wed Mar 24 2010 Jakub Bogusz <qboosh@pld-linux.org> c4e2dba
- release 2: rebuild with libjpeg 8

* Tue Sep 30 2008 Jakub Bogusz <qboosh@pld-linux.org> 99735e9
- mingw32 version of jasper.spec

